Bug 20498 - miq_NI: new Mískitu / Miskito (miq) language locale for Nicaragua
Summary: miq_NI: new Mískitu / Miskito (miq) language locale for Nicaragua
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P2 enhancement
Target Milestone: 2.27
Assignee: Mike FABIAN
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-21 13:38 IST by Chris Leonard
Modified: 2018-05-11 21:59 IST (History)
2 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed: 2017-09-01 00:00:00
fweimer: security-


Attachments
Mískitu / Miskito (miq) language locale for Nicaragua (2.00 KB, text/plain)
2016-08-21 13:38 IST, Chris Leonard
Details
miq_NI (2.00 KB, text/plain)
2016-08-25 16:34 IST, Chris Leonard
Details
new Mískitu / Miskito (miq) language locale for Nicaragua (2.48 KB, patch)
2016-08-25 17:24 IST, Chris Leonard
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Leonard 2016-08-21 13:38:23 IST
Created attachment 9464 [details]
Mískitu / Miskito (miq) language locale for Nicaragua
Comment 1 Mike Frysinger 2016-08-24 20:11:19 IST
please post patches to the mailing list for review & merging
Comment 2 Chris Leonard 2016-08-25 16:34:18 IST
Created attachment 9474 [details]
miq_NI

text locale
Comment 3 Chris Leonard 2016-08-25 17:24:26 IST
Created attachment 9475 [details]
new Mískitu / Miskito (miq) language locale for Nicaragua
Comment 4 Mike FABIAN 2017-09-01 08:36:44 IST
(In reply to Chris Leonard from comment #3)
> Created attachment 9475 [details]
> new Mískitu / Miskito (miq) language locale for Nicaragua

    @@ -, +, @@ 
    ---
     localedata/SUPPORTED      |   2 +-
     localedata/locales/miq_NI | 185 ++++++++++++++++++++++++++++++++++++++++++++++
     2 files changed, 186 insertions(+), 1 deletion(-)
     create mode 100644 localedata/locales/miq_NI
    --- a/localedata/SUPPORTED	
    +++ a/localedata/SUPPORTED	
    @@ -8,7 +8,6 @@ aa_ER@saaho/UTF-8 \
     aa_ET/UTF-8 \
     af_ZA.UTF-8/UTF-8 \
     af_ZA/ISO-8859-1 \
    -agr_PE/UTF-8 \
     ak_GH/UTF-8 \
     am_ET/UTF-8 \
     an_ES.UTF-8/UTF-8 \

That is probably an error, I don’t think you want to remove agr_PE.

    [...]
    
    +%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    +%
    +% Mískitu / Miskito (miq) language locale for Nicaragua
    +%
    +% Charset: UTF-8

I recently removed all these “% Charset: ...” comments  from the locale sources:

commit 39b20aae21e4635296f4ebc4d80f4eb6c1cb4cbe
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Aug 7 17:19:07 2017 +0200

    Remove “% Charset: ...” comments from locale sources
    
    These comments are useless and only confusing.  The encodings used to
    create binary locales from source locales are listed in the
    localedata/SUPPORTED file.  The source files itself are ASCII or UTF-8
    encoded where non-ASCII UTF-8 is currently only used in comments. If
    all locale source files are UTF-8 anyway, there is no need to specify
    that in a special comment.

So I think we don’t need this “% Charset: ...” comment anymore.


    [...]

    +LC_IDENTIFICATION
    +title      "Mískitu (agr) language locale for Nicaragua"
                          ^^^ typo, should be miq I think.

    +language  "Mískitu"

Should probably be “Miskito”, https://en.wikipedia.org/wiki/Miskito_language
says:

“Miskito (Mískitu in the Miskito language)”

so “Miskito” seems to be the English name of this language and
the “language” tag in LC_IDENTIFICATION should contain the English name.

    [...]
    
    +LC_ADDRESS
    +copy "es_NI"
    +END LC_ADDRESS

It does not seem correct to copy this from "es_NI" because that would give us:

    LC_ADDRESS
    postal_fmt    "%f%N%a%N/
    %d%N%b%N%s/
     %h %e %r%/
    N%z %T%/
    N%c%N"
    country_name "Nicaragua"
    country_ab2   "NI"
    country_ab3   "NIC"
    country_num   558
    % NIC
    country_car    "NIC"
    % Español
    lang_name     "español"
    % es
    lang_ab      "es"
    % spa
    lang_term    "spa"
    % spa
    lang_lib    "spa"
    END LC_ADDRESS

Which would make lang_name, lang_ab, lang_term, and lang_lib wrong.

Probably it should be:

    LC_ADDRESS
    postal_fmt   "%f%N%a%N%d%N%b%N%s %h %e %r%N%z %T%N%c%N"
    country_name "Nicaragua"
    country_ab2  "NI"
    country_ab3  "NIC"
    country_num   558
    country_car   "NIC"
    lang_name     "M<U00ED>skitu"
    lang_term     "miq"
    lang_lib      "miq"
    END LC_ADDRESS
Comment 5 cvs-commit@gcc.gnu.org 2017-09-05 14:45:16 IST
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  3f802aeb3403a558426b50d42a50c6bfcc6cc425 (commit)
      from  0a587a8a98ca32c98e6b00f557e6af6c8eedc602 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=3f802aeb3403a558426b50d42a50c6bfcc6cc425

commit 3f802aeb3403a558426b50d42a50c6bfcc6cc425
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Thu Aug 31 17:27:24 2017 +0200

    Add miq_NI locale for Miskito
    
    	[BZ #20498]
    	* locale/iso-639.def: add Miskito.
    	* localedata/SUPPORTED: Add miq_NI/UTF-8.
    	* localedata/locales/miq_NI: New file.

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                 |    7 ++
 locale/iso-639.def        |    1 +
 localedata/SUPPORTED      |    1 +
 localedata/locales/miq_NI |  188 +++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 197 insertions(+), 0 deletions(-)
 create mode 100644 localedata/locales/miq_NI
Comment 6 Mike FABIAN 2017-09-05 14:55:25 IST
FIXED.